#
# spec file for package ghc-generic-random
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name generic-random
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.5.0.1
Release:        bp156.3.4
Summary:        Generic random generators for QuickCheck
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-rpm-macros
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-deepseq-devel
%endif

%description
Derive instances of 'Arbitrary' for QuickCheck, with various options to
customize implementations.

For more information

- See the README

- "Generic.Random.Tutorial"

- http://blog.poisson.chat/posts/2018-01-05-generic-random-tour.html.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Tue Nov 23 2021 Peter Simons <psimons@suse.com>
- Update generic-random to version 1.5.0.1.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/generic-random-1.5.0.1/src/CHANGELOG.md
* Mon Nov 15 2021 psimons@suse.com
- Update generic-random to version 1.5.0.0 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Jul 15 2021 psimons@suse.com
- Update generic-random to version 1.5.0.0.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/generic-random-1.5.0.0/src/CHANGELOG.md
* Mon May 17 2021 psimons@suse.com
- Update generic-random to version 1.4.0.0.
  [#] 1.4.0.0
  - Add option to use only coherent instances
  - Export `SetSized` and `SetUnsized`
  - Drop compatibility with GHC 7
* Mon Apr 26 2021 psimons@suse.com
- Add generic-random at version 1.3.0.1.
